This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 869783 - Auto-lock screen doesn't work if lost wireless network
Auto-lock screen doesn't work if lost wireless network
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 15:39 EDT by Juan Manuel
Modified: 2013-08-01 06:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:29:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Juan Manuel 2012-10-24 15:39:19 EDT
Description of problem: When using wireless network, if network is lost before auto-locking screen, network manager prompts for password and prevent screen from locking.


Version-Release number of selected component (if applicable): gnome-screensaver 3.4.1 (1.fc17); NetworkManager 0.9.4.0 (9.git20120521.fc17)


How reproducible: Every time wireless connection is lost before locking screen.


Steps to Reproduce:
1. Connect to wireless network.
2. Turn off wireless router.
3. Wait for lock screen
  
Actual results: Network manager prompts for SSID password and all window contents still showing in background. Screen doesn't locks until password entered in network manager dialog.


Expected results: Locked screen


Additional info: When I'm using cellphone hotspot I usually receive phone calls that make me move away from my laptop to a quiet place to talk, therefor my laptop losses wireless conectivity. If I forgot to manually lock screen, everything is still showing when I return.

PS: Please excuse me for my bad English.
Comment 1 Fedora End Of Life 2013-07-03 23:12:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 06:29:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.